Old 18th June 2020, 10:43   #1
bankeris
Junior Member
 
Join Date: Feb 2014
Posts: 24
ANSI targets are deprecated

Hello,

I just upgraded to 3.05 version NSIS and now I got warning trying to create my .exe. How can i fix this?

Processing config: C:\Program Files\NSIS\nsisconf.nsh
Processing default plugins: "C:\Program Files\NSIS\Plugins\x86-ansi\*.dll"
+ Banner::destroy
+ Banner::getWindow
+ Banner::show
+ BgImage::AddImage
+ BgImage::AddText
.......

Processed 1 file, writing output (x86-ansi):
warning 7998: ANSI targets are deprecated
bankeris is offline   Reply With Quote
Old 18th June 2020, 10:47   #2
Anders
Moderator
 
Anders's Avatar
 
Join Date: Jun 2002
Location: ${NSISDIR}
Posts: 5,296
Add "Unicode True" to your script.

IntOp $PostCount $PostCount + 1
Anders is offline   Reply With Quote
Old 18th June 2020, 11:07   #3
bankeris
Junior Member
 
Join Date: Feb 2014
Posts: 24
Fastest response ever! Thanks!
bankeris is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Developer Center > NSIS Discussion

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump